Fetch Beneficiary
curl --request POST \
--url https://api.paytring.com/api/v2/payout/beneficiary/fetch \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "5000193xxxxxxxxx"
}
'import requests
url = "https://api.paytring.com/api/v2/payout/beneficiary/fetch"
payload = { "id": "5000193xxxxxxxxx" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '5000193xxxxxxxxx'})
};
fetch('https://api.paytring.com/api/v2/payout/beneficiary/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"status\": true,\n \"message\": \"Beneficiary Account Details Fetched successfully.\",\n \"data\": {\n \"beneficiary_id\": 59113xxxxxxxxxxxx06,\n \"name\": \"Anxxxx\",\n \"vpa\": \"4nxxxd@okhdfcbank\",\n \"account_number\": \"91965xxxxxx3\",\n \"ifsc\": \"PYTM0123456\",\n \"phone\": \"965xxxxxx3\",\n \"email\": \"a@mxxx.in\",\n \"address\": \"Gurgaon\"\n }\n}""{}"Payout Management
Fetch Beneficiary
POST
/
api
/
v2
/
payout
/
beneficiary
/
fetch
Fetch Beneficiary
This API retrieves details of a specific beneficiary.
Request Body
{
"id": "string" // Beneficiary ID received in response to the Add Beneficiary API
}
Responses
200 OK
{
"status": true,
"beneficiary": {
"name": "string",
"email": "string",
"phone": "string",
"vpa": "string",
"account": {
"account_no": "string",
"ifsc": "string"
}
}
}
400 Bad Request
{
"status": false,
"error": {
"message": "Invalid request",
"code": 400
}
}
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
beneficiary_id , you got in response of add beneficiary api
Response
200
⌘I

